## python-coverage-test-runner 1.1

=== Makefile ===
all:

clean:
	rm -f *.py[co] */*.py[co]

## python-coverage-test-runner 1.6

=== Makefile ===
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

all:

clean:
	rm -f *.py[co] */*.py[co] .coverage
	rm -rf build

=== debian/changelog ===
python-coverage-test-runner (1.6-1) unstable; urgency=low

  * New upstream version.
    - license change to GPL3+
    - tweaks to documentation (README)
  * Re-uploaded to Debian. (Closes: #628016) 
  * debian/copyright: Updated to reflect reality (GPL3+, not GPL2+),
    and converted to DEP5.
  * debian/control:
    - Standards-Version bumped to 3.9.2 (no other changes required).
    - Add python-coverage to Build-Depends.
    - Add X-Python-Version header.
    - Add Homepage.
  * debian/source/format: Use 3.0 (quilt).

 -- Lars Wirzenius <liw@liw.fi>  Thu, 26 May 2011 13:47:06 +0100

python-coverage-test-runner (1.5) squeeze; urgency=low

  * New upstream release

 -- Lars Wirzenius <liw@liw.fi>  Fri, 18 Feb 2011 22:33:20 +0000

python-coverage-test-runner (1.4.1) squeeze; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 05 Apr 2010 15:52:00 +1200

python-coverage-test-runner (1.3) karmic; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 14 Feb 2010 12:23:11 +1300

python-coverage-test-runner (1.2) karmic; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 30 Sep 2009 11:41:11 +0300

python-coverage-test-runner (1.1-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Change Section: to python to match the Debian override
    file.
  * debian/control: Update Maintainer: to use my current e-mail address.
  * debian/control: Bump Standards-Version. No other changes required.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 12 Jul 2008 16:16:11 +0300

python-coverage-test-runner (1.0-2) unreleased; urgency=low

  * debian/copyright: Fixed wording to point out explicitly that version
    two or later of the GPL is the license. Thanks to Joerg Jaspert for
    pointing it out.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 30 Dec 2007 00:15:57 +0200

python-coverage-test-runner (1.0-1) unstable; urgency=low

  * First public version. (Closes: #456443)

 -- Lars Wirzenius <liw@iki.fi>  Sat, 15 Dec 2007 23:05:47 +0200

=== debian/control ===
Source: python-coverage-test-runner
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: python
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 1.0.3),
    python-coverage
X-Python-Version: >= 2.6

Package: python-coverage-test-runner
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-coverage
Homepage: http://liw.fi/coverage-test-runner/
Description: fail Python program unit tests unless they test everything
 This package contains the Python module CoverageTestRunner, which runs
 unit tests implemented using the unittest module in the Python standard
 library. It runs them using coverage.py (in the python-coverage package)
 and fails the test if all statements are not covered.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_clean:
	$(MAKE) clean
	rm -f python-build-stamp-*

## python-coverage-test-runner 1.7.1

=== debian/changelog ===
python-coverage-test-runner (1.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 04 Sep 2011 20:09:01 +0100

python-coverage-test-runner (1.7-1) unstable; urgency=low

  * New upstream version.
  * Update packaging to use dh_python2.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 04 Sep 2011 19:49:32 +0100

## python-coverage-test-runner 1.8

=== Makefile ===
--- 
+++ 
@@ -16,3 +16,7 @@
 clean:
 	rm -f *.py[co] */*.py[co] .coverage
 	rm -rf build
+	
+check:
+	./testrun
+	rm -f .coverage

=== debian/changelog ===
python-coverage-test-runner (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 19 Jan 2012 11:27:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: python
 Priority: optional
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~), python-support (>= 1.0.3),
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
     python-coverage
 X-Python-Version: >= 2.6

## python-coverage-test-runner 1.11

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# Copyright: 2007-2013 Lars Wirzenius
+#
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation, either version 3 of the License, or
@@ -10,6 +12,8 @@
 # 
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# =*= License: GPL-3+ =*=
 
 all:

=== debian/changelog ===
python-coverage-test-runner (1.11-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Move Homepage: to source stanza.
  * debian/control: Update Standards-Version to 3.9.5. No further
    changes required.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 25 Oct 2015 13:17:24 +0200

python-coverage-test-runner (1.10-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 17 Apr 2013 14:26:33 +0100

python-coverage-test-runner (1.9-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 23 Sep 2012 21:50:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2 --buildsystem=python_distutils

override_dh_auto_clean:
	$(MAKE) clean
	dh_auto_clean --with=python2 --buildsystem=python_distutils

## python-coverage-test-runner 1.13.1

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 clean:
 	rm -f *.py[co] */*.py[co] .coverage
 	rm -rf build
-	
+
 check:
 	./testrun
 	rm -f .coverage

=== debian/changelog ===
python-coverage-test-runner (1.13.1-6) unstable; urgency=medium

  * Team upload.
  * Add missing python3-zombie-imp to Depends.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2024 16:13:51 +0100

python-coverage-test-runner (1.13.1-5) unstable; urgency=medium

  * Add fake watch file
  * Move package to DPT
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Use python3-zombie-imp to have imp functionality
    Replace distutils
    Closes: #1058112

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2024 14:47:31 +0100

python-coverage-test-runner (1.13.1-4) unstable; urgency=medium

  * QA upload.
  * Using new DH level format.Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper >= 9'to
        'debhelper-compat = 12' in Build-Depends field.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added an email address to upstream.
      - Added the block debian/*.

 -- Jair Reis <jmsrdebian@protonmail.com>  Sun, 26 Apr 2020 13:10:00 -0300

python-coverage-test-runner (1.13.1-3) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #937666

 -- Sandro Tosi <morph@debian.org>  Fri, 29 Nov 2019 22:44:36 -0500

python-coverage-test-runner (1.13.1-2) unstable; urgency=medium

  * Orphaning due to retirement.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 18 Nov 2018 23:26:08 +0200

python-coverage-test-runner (1.13.1-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 05 Jul 2017 17:30:53 +0300

python-coverage-test-runner (1.13-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Raise Python dependency to 2.7 or later.
  * debian/control: Raise Standards-Version to 4.0.0. No other changes needed.
  * debian/control: Raise dependency on debhelper to 9 or later.
  * Added Python3 support to packaging.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 05 Jul 2017 17:06:49 +0300

=== debian/control ===
Source: python-coverage-test-runner
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-coverage,
               python3-setuptools,
               python3-zombie-imp
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-coverage-test-runner.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-coverage-test-runner
Homepage: http://liw.fi/coverage-test-runner/

Package: python3-coverage-test-runner
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-coverage,
         python3-zombie-imp
Description: fail Python program unit tests unless they test everything
 This package contains the Python module CoverageTestRunner, which runs
 unit tests implemented using the unittest module in the Python standard
 library. It runs them using coverage.py (in the python-coverage package)
 and fails the test if all statements are not covered.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=coverage-test-runner

%:
	dh $@ --with=python3 --buildsystem=pybuild
